Commit b69a01e8 authored by Felix Paul Kühne's avatar Felix Paul Kühne

configure.ac: fix linking CFNetwork with SDKs older than 10.8

parent 593fa456
......@@ -155,7 +155,7 @@ case "${host_os}" in
LDFLAGS="${LDFLAGS} -Wl,-headerpad_max_install_names ${ARCH_flag}"
VLC_ADD_LIBS([libvlc vlc],[-Wl,-undefined,dynamic_lookup,-framework,AppKit])
VLC_ADD_LIBS([avcodec access_avio swscale postproc i420_rgb_mmx x262 x264 x26410b],[-Wl,-read_only_relocs,suppress])
VLC_ADD_LIBS([libvlccore],[-Wl,-framework,CoreFoundation,-framework,CFNetwork])
VLC_ADD_LIBS([libvlccore],[-Wl,-framework,CoreFoundation,-framework,CoreServices])
dnl Allow binaries created on Lion to run on earlier releases
AC_EGREP_CPP(yes,
......
......@@ -29,7 +29,7 @@
#include <vlc_network.h>
#include <CoreFoundation/CoreFoundation.h>
#include <CFNetwork/CFProxySupport.h>
#include <CoreServices/CoreServices.h>
/**
* Determines the network proxy server to use (if any).
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment